View Issue Details

IDProjectCategoryView StatusLast Update
0002261Ham Radio DeluxeBugpublic2018-03-04 15:16
Assigned ToWA9PIE 
Status closedResolutionfixed 
Product Version6.4.0.787 
Target Version6.4.0.793Fixed in Version6.4.0.794 
Summary0002261: Logbook API used by QSO Relay (and JTAlert) fails to populate MY STATION fields into QSO records
DescriptionIn working with Chris, VK2BYI, to get the API working so that Logbook will accept QSOs forwarded by QSO Relay, he has discovered that one thing remains to be done.

When the QSOs are created in Logbook, the fields in those records need to be populated with the data from the 'active' MY STATION information. Chris has indicated that - once this is done - he believes that this API will be complete and fully functional. It's an important part of the integration for 3rd party programs that will use HRD.

This applies to any integration using this API... but includes WSJT-X, JTAlert, and QSO Relay.
Steps To Reproduce(The same steps should be used that were used when fixing the API in the 787 version.)


Observe that the Logbook records do not have MY STATION fields populated.
TagsNo tags attached.
Testing Beta Successful




2017-09-22 23:06

administrator   ~0004265

VK2BYI made the following comments regarding this topic in a recent email:

One “long standing defect” with the Logbook API on which I have seen commentary, was the problem with fields containing embedded carriage return/line feed characters in the QSO being logged. The ADIF 2.2.7 standard says in part:
“any number of characters of any value except < may be added after a field’s data or <eor> and before the start of the next field. This is typically carriage returns and/or linefeeds to make the file easier to read in a text viewer.”
But with release, Mike B. has provided an excellent solution whereby 3rd party apps like QSO Relay can indicate where these embedded newlines were with a “\n” place marker, which HRD Logbook then uses to log the contact with the newlines properly inserted. This solves the problem quite elegantly from my perspective.
So, once My Station information is filled in with each contact, I reckon the Logbook API will be complete!


2018-03-03 23:27

manager   ~0004353

I think this is fixed with this change set:


2018-03-04 04:35

viewer   ~0004431

My tests indicate that my Station Info is being correctly added to contacts logged via the Logbook API.


2018-03-04 04:37

viewer   ~0004432

Working as I would expect. The default "My Station" data is populated in the HRD logbook and then JTAlertX overwrites fields that are populated in JTAlertX. This is exactly the behaviour I would expect and want. :)

Issue History

Date Modified Username Field Change
2017-09-22 23:05 WA9PIE New Issue
2017-09-22 23:06 WA9PIE Note Added: 0004265
2017-09-22 23:08 WA9PIE Summary Logbook API used by QSO Relay (and JTAlert) fails to populate MY STATION information into QSO records => Logbook API used by QSO Relay (and JTAlert) fails to populate MY STATION fields into QSO records
2017-09-22 23:08 WA9PIE Description Updated View Revisions
2018-02-22 13:50 Roger Assigned To => Roger
2018-02-22 13:50 Roger Status new => assigned
2018-02-22 14:56 WA9PIE Description Updated View Revisions
2018-03-02 10:40 K7ZCZ Assigned To Roger => K7ZCZ
2018-03-03 22:14 WA9PIE Status assigned => resolved
2018-03-03 22:14 WA9PIE Resolution open => fixed
2018-03-03 22:14 WA9PIE Fixed in Version =>
2018-03-03 23:27 K7ZCZ Note Added: 0004353
2018-03-03 23:27 K7ZCZ Assigned To K7ZCZ => WA9PIE
2018-03-04 04:35 vk2byi File Added: Mantic #2261 Test Case.png
2018-03-04 04:35 vk2byi Note Added: 0004431
2018-03-04 04:37 g3ypp Note Added: 0004432
2018-03-04 10:25 WA9PIE Status resolved => closed
2018-03-04 10:25 WA9PIE Testing Not Started => Beta Successful
2018-03-04 14:17 WA9PIE Target Version =>
2018-03-04 14:17 WA9PIE Fixed in Version =>
2018-03-04 15:16 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe